Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
sys-auth/pambase blocking sys-apps/shadow
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
Baer
Tux's lil' helper
Tux's lil' helper


Joined: 11 Sep 2003
Posts: 96
Location: Munich, Germany

PostPosted: Sun Dec 02, 2012 1:44 pm    Post subject: sys-auth/pambase blocking sys-apps/shadow Reply with quote

Hi,

somehow I managed to uninstall sys-apps/shadow, which left the machine nearly unusable. Luckily an sshd was still running and I could login via ssh to the box.
Upon emerging shadow the following happens:

Quote:
remotebox ~ # emerge -av shadow

* IMPORTANT: 7 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.


These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild N ] sys-apps/shadow-4.1.4.3 USE="cracklib nls pam -audit (-selinux) -skey" 1,762 kB
[ebuild R ] virtual/shadow-0 0 kB
[blocks B ] <sys-apps/shadow-4.1.5-r1 ("<sys-apps/shadow-4.1.5-r1" is blocking sys-auth/pambase-20120417-r1)

Total: 2 packages (1 new, 1 reinstall), Size of downloads: 1,762 kB
Conflict: 1 block (1 unsatisfied)

* Error: The above package list contains packages which cannot be
* installed at the same time on the same system.

(sys-apps/shadow-4.1.4.3::gentoo, ebuild scheduled for merge) pulled in by
>=sys-apps/shadow-4.1 required by (virtual/shadow-0::gentoo, ebuild scheduled for merge)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


Any help is greatly appreciated.
_________________
Life is like a roll of toilet paper, when the end is near we panic!
Back to top
View user's profile Send private message
krinn
Advocate
Advocate


Joined: 02 May 2003
Posts: 4241

PostPosted: Sun Dec 02, 2012 1:51 pm    Post subject: Reply with quote

you can bypass this kind of chiken/egg problem generally with

passing both on the same command line : emerge -1 shadow pambase
or telling portage to don't care about the dep : emerge -1 --nodeps shadow (then emerge -1D shadow to add pambase back)
Back to top
View user's profile Send private message
Baer
Tux's lil' helper
Tux's lil' helper


Joined: 11 Sep 2003
Posts: 96
Location: Munich, Germany

PostPosted: Sun Dec 02, 2012 3:06 pm    Post subject: Reply with quote

Hi, krinn,

sounds to me pretty like using steamroller tactics. :)
I wonder, if I'm the only one running into trouble here.

Regs,
Rob
_________________
Life is like a roll of toilet paper, when the end is near we panic!
Back to top
View user's profile Send private message
Hu
Watchman
Watchman


Joined: 06 Mar 2007
Posts: 8908

PostPosted: Sun Dec 02, 2012 5:51 pm    Post subject: Reply with quote

Baer wrote:
sounds to me pretty like using steamroller tactics. :)
I wonder, if I'm the only one running into trouble here.
Using --nodeps is a steamroller approach and not a good idea if other options are available. However, the other suggestion, naming both packages at once, is fine. It tells the package manager that upgrades on both are desired, which may allow it to pick an installation order that solves the block. The command you tried upgrades only shadow and any hard build upgrade requirements.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum